Skip to content

Update editable field values on a specific version of a document. See also Update Single Document.

PUT/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
X-VaultAPI-MigrationModeWhen set to true, Vault allows you to manually set the document number. Vault does not send notifications in Document Migration Mode. All other Document Migration Mode overrides available at document creation are ignored, but do not generate an error message. You must have the Document Migration permission to use this header. Learn more about Document Migration Mode in Vault Help.
X-VaultAPI-NoTriggersIf set to true and Document Migration Mode is enabled, it bypasses all system, standard, and custom doctype triggers.
NameDescription
{doc_id}The document id field value.
{major_version}The document major_version_number__v field value.
{minor_version}The document minor_version_number__v field value.

In the body of the request, add any editable field values that you wish to update as name-value pairs. To remove existing field values, include the field name and set its value to null.

To find your Vault’s editable document fields, Retrieve All Document Fields configured on documents. Editable fields will have editable:true.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "language__v=English" \ -d "product__v=1357662840171" \ -d "audience__c=consumer__c" \ https://myvault.veevavault.com/api/v26.1/objects/documents/534/versions/2/0
{ "responseStatus": "SUCCESS", "id": 534 }

On SUCCESS, Vault updates field values for the specified version of the document and returns the ID of the updated document.